On Sat, May 05, 2007 at 12:27:13AM +0900, Ben Edwards wrote:
> Have had a look on rubyforge and done a little looking around but not
> totaly sure which ruby oracle library's I should use.
> 
> I am connecting to a 10g database.
> 
> Ruby9i and Ruby/OCI8 seem to be the contenders, or is there something else.
> 
> What would people recommend?

ruby-oci8. It's been around for a long time, and it works well. It's the API
used by ActiveRecord's Oracle adaptor, and it also comes with a DBD for use
with ruby-dbi. I'm using it with Oracle 10g now.

I've never seen or used Ruby9i though.